%define		tarball		xf86-video-vmware
%define		moduledir	%(pkg-config xorg-server --variable=moduledir )
%define		driverdir	%{moduledir}/drivers

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	Xorg X11 vmware video driver
Name:		xorg-x11-drv-vmware
Version:	11.0.2
Release:	1
URL:		http://www.x.org
License:	MIT/X11
Group:		User Interface/X Hardware Support
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	i686

Source0:	ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2
Source200:	vmware.xinf

ExclusiveArch:	%{ix86} x86_64 ia64

BuildRequires:	pkg-config
BuildRequires:	xorg-x11-server-sdk
BuildRequires:	libpciaccess-devel
BuildRequires:  libdrm-devel

Requires:	xorg-x11-server-Xorg

%description 
X.Org X11 vmware video driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE200} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{driverdir}/vmware_drv.so
%{driverdir}/vmwlegacy_drv.so
%{_datadir}/hwdata/videoaliases/vmware.xinf
%{_mandir}/man4/vmware.4.gz

%changelog
* Tue Aug 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 11.0.2-1
- Version Update
* Sat May 23 2009 Christian Wasem <wasem@ccux-linux.de> 10.16.6-1
- Version update - x.org 1.6.1.901
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 10.16.5-1
- Version update
* Sun Oct 07 2007 Karsten Brockmann <arcam@ccux-linux.de> 10.15.2-1
- Version update
* Tue Sep 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 10.15.1-1
- Version update
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 10.15.0-2
- rebuilt against X.org 7.3
* Fri Jun 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 10.15.0-1
- version update
* Sun Sep 17 2006 Christian Metzen <metzench@ccux-linux.de> 10.13.0-1
- Initial release
